{html_head}
{if PHPWG_VERSION < 2.2 }
  {include file= $LCAS_PATH_ABS|@cat:'template/header21.tpl'}
{else}
  {include file= $LCAS_PATH_ABS|@cat:'template/header22.tpl'}
{/if}
{/html_head}

{combine_css path= $LCAS_PATH|@cat:'admin/template/lcas.css'}

<script type="text/javascript">
var Personalized_not_allowed = {if $Personalized_not_allowed}true{else}false{/if};
{literal}
jQuery().ready(function(){
  jQuery('.cluetip').cluetip(
  {
    width: 550,
    splitTitle: '|'
  });
});

function LCAS_blockToggleDisplay( headerId, contentId )
{
  if (typeof(headerId)=='string')
  {
   if ( headerId.length>  1)
       blockToggleDisplay(headerId, contentId) ;
      document.getElementById("nb_para").value =headerId ;
      document.getElementById("nb_para2").value =contentId;
  }
}
jQuery(document).ready(function() 
    {
      jQuery("#sorting")
      .tablesorter({sortList:[[3,0]], headers: { 1: { sorter: false }, 4: { sorter: false }, 5: { sorter: false } } })
      .tablesorterPager({container: jQuery("#pager"), positionFixed: false, size: 20, totalPages: 0});
      if (Personalized_not_allowed) {
        jQuery('#LCAS_id_Option0').attr('disabled', 'disabled');
        jQuery('#LCAS_id_Opt0').attr("title", "{/literal}{'Personalized not allowed tooltip'|@translate}{literal}");
      }
    } 
);
function UpdateAUser(UserId) {
	document.UserList.UserToUpdate.value=UserId;document.UserList.submit();
}
{/literal}
</script>

<div class="titrePage">
  <h2>{'LCAS_Title_Tab'|@translate} {$LCAS_VERSION}<br>{'LCAS_SubTitle_Global'|@translate}</h2>
</div>

<form method="post" action="" class="general">

  <input name="nb_para" id="nb_para" type="text" value="{$nb_para}" style="display:none"> 
  <input name="nb_para2" id="nb_para2" type="text" value="{$nb_para2}" style="display:none"> 

  <div id="instructionConfig2" class="instructionBlock" >

    <div id="config2_header" class="instructionBlockHeader">
      <span class="cluetip" title="{'LCAS_sensitiveTitle'|translate}|{'LCAS_sensitiveTitle_d'|translate}">
        {'LCAS_Title_Global'|@translate}
      </span>
    </div>
  
    <div id="Config2" class="instructionBlockContent" style="display:block">
      <fieldset>
        <ul>
          <li>
            <label class="cluetip" title="{'LCAS_caseSensitiveTitle'|translate}|{'LCAS_caseSensitiveTitle_d'|translate}">
              {'LCAS option'|@translate}
            </label>
            <br><br>
            <label for = "LCAS_id_Option0" id ="LCAS_id_Opt0">
              <input type="radio" value="0" {if $LCAS_Option == '0'}checked="checked"{/if} id="LCAS_id_Option0" name="LCAS_Option">
              {'LCAS_Option0'|@translate}<br>
            </label>
            <label for = "LCAS_id_Option1" id ="LCAS_id_Opt1">
              <input type="radio" value="1" {if $LCAS_Option == '1'}checked="checked"{/if} id="LCAS_id_Option1" name="LCAS_Option">
              {'LCAS_Option1'|@translate}<br>
            </label>
            <label for = "LCAS_id_Option2" id ="LCAS_id_Opt2">
              <input type="radio" value="2" {if $LCAS_Option == '2'}checked="checked"{/if} id="LCAS_id_Option2" name="LCAS_Option">
              {'LCAS_Option2'|@translate}<br>
            </label>
            <label for = "LCAS_id_Option3" id ="LCAS_id_Opt3">
              <input type="radio" value="3" {if $LCAS_Option == '3'}checked="checked"{/if} id="LCAS_id_Option3" name="LCAS_Option">
              {'LCAS_Option3'|@translate}<br>
            </label>
            {* <!-- Shall be implemented later
            <label for = "LCAS_id_Option4" id ="LCAS_id_Opt4">
              <input type="radio" value="4" {if $LCAS_Option == '4'}checked="checked"{/if} id="LCAS_id_Option4" name="LCAS_Option">
              {'LCAS_Option4'|@translate}<br>{if $Personalized_not_allowed}{'Personalized not allowed explanation'|@translate}{/if}<br>
            </label>
            --> *}
            <br><br>
          </li>

          <li>
            <label class="cluetip" title="{'LCAS_MailTitle'|translate}|{'LCAS_MailTitle_d'|translate}">
              {'LCAS_Mail'|@translate}
            </label>
            <br><br>
              <input type="radio" value="false" {$LCAS_MAIL_FALSE} name="LCAS_Mail">
                {'LCAS_DisableOption'|@translate}<br>
              <input type="radio" value="true" {$LCAS_MAIL_TRUE} name="LCAS_Mail">
                {'LCAS_EnableOption'|@translate}<br>
              <br><br>

              <ul>
                <li>
                  <label class="cluetip" title="{'LCAS_Email_Customization'|translate}|{'LCAS_Email_Customization_d'|translate}">
                    {'LCAS_MailText'|@translate}
                  </label>
                <br><br>
                  <textarea class="LCAS_Mailtextfields" name="LCAS_MailText" id="LCAS_MailText" rows="10" {$TAG_INPUT_ENABLED}>{$LCAS_MAILTEXT}</textarea>
                <br><br>
                </li>
              </ul>
          </li>
        </ul>
      </fieldset>
	    <div style="text-align: center;"><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED}></div>
    </div>
  </div>

</form>

<br><br>

<div id="usersToBeUpdated" class="instructionBlock" >

  <div id="usersToBeUpdated_header" class="instructionBlockHeader">
    <span class="cluetip" title="{'LCAS_userlistTitle'|translate}|{'LCAS_userlistTitle_d'|translate}">
      {'LCAS_UserList_Title'|@translate}
    </span>
  </div>
  <div id="Config2" class="instructionBlockContent" style="display:block">
		<fieldset>
		  <form method="post" name="UserList" id="UserList" action="" class="general">
			<input type="hidden" id="UserToUpdate" name="UserToUpdate" value="-1">
		{if count($users) > 0}
		      <table id="sorting" class="table2" width="97%" summary="">
		  			<thead>
		    			<tr class="throw">
		      			<th>{'Username'|@translate}</th>
		            <th>{'Profile'|@translate}</th>
		      			<th>{'Email address'|@translate}</th>
		      			<th>{'LCAS_Compare_value_h'|@translate}</th>
		            <th>{'LCAS_Update_h'|@translate}</th>
		    			</tr>
		  			</thead>
		        <tbody>
		        {foreach from=$users item=user name=users_loop}
		          <tr class="{if $smarty.foreach.users_loop.index is odd}row1{else}row2{/if}">
		            <td><input class="LCAS_textfields" type="text" name="user-{$user.ID}" id="user-{$user.ID}" value="{$user.USERNAME}"></td>
		            <td style="text-align:center;"><a href="./admin.php?page=profile&amp;user_id={$user.ID}" title="{'Profile'|@translate}" onclick="window.open(this.href); return false;"><img src="{$LCAS_PATH}admin/template/icon/edit_s.png"></a></td>
		            <td>{$user.EMAIL}</td>
		{if $user.DISPLAY == 'orange'}
		            <td style="color:orange;text-align:center;">{$user.COMPARE}</td>
		{else}
		            <td style="text-align:center;">{$user.COMPARE}</td>
		{/if}
		            <td style="text-align:center;"><a href="javascript:UpdateAUser({$user.ID});">{'LCAS_Update_User'|@translate}</a></td>
		            {foreach from=$user.plugin_columns item=data}
		              <td>{$data}</td>
		            {/foreach}    			
		          </tr>
		        {/foreach}
		        </tbody>
		      </table>
		<div id="pager" class="pager">
			<form>
				<img src="{$LCAS_PATH}admin/template/icon/first.png" class="first">
				<img src="{$LCAS_PATH}admin/template/icon/prev.png" class="prev">
				<input type="text" class="pagedisplay">
				<img src="{$LCAS_PATH}admin/template/icon/next.png" class="next">
				<img src="{$LCAS_PATH}admin/template/icon/last.png" class="last">
				<select class="pagesize">
					<option  value="10">10</option>
					<option selected="selected" value="20">20</option>
					<option value="30">30</option>
					<option value="40">40</option>
				</select>
			</form>
		</div>
		    	<br>
		{else}
		<div>
			{'LCAS_No_User'|@translate}
		</div>
		{/if}
		</form>
		</fieldset>

  </div>
</div>

<br><br>

<div id="PluginSupport" class="instructionBlock" >
  <div id="PluginSupport_header" class="instructionBlockHeader">
    <span>
      {'LCAS_PluginSupport'|@translate}
    </span>
  </div>
  <div id="Config2" class="instructionBlockContent" style="display:block">
    <fieldset>
      {'LCAS_Support_txt'|@translate}
    </fieldset>
  </div>
</div>

<script type="text/javascript">
  var n1=document.getElementById("nb_para").value;
  var n2=document.getElementById("nb_para2").value;
   LCAS_blockToggleDisplay(n1,n2);
</script>