<?php
global $lang;

$lang['LCAS_sensitiveTitle'] = 'Sensitivities to the registration and identification';
$lang['LCAS_sensitiveTitle_d'] = '
Piwigo can be case insensitive but does not manage the accent insensitivity, and then only to the registration of new users. LCAS provides a more thorough insensitivity to registration and identification of users. The following options are available:<br><br>
- Usernames case sensitive or not<br>
- Usernames accent sensitive or not<br>
- Customizing the text of the email notification<br>
';

$lang['LCAS_caseSensitiveTitle'] = 'Options';
$lang['LCAS_caseSensitiveTitle_d'] = 'These options allow users to be identified either ignoring the case (capitalization) of their username, or without regard to accents, or regardless of either.<br>
<b style=&quot;color: red;&quot;>Note: The password is still sensitive to all the characters!</b><br>
Béatrice is going to be happy!<br>
';


$lang['LCAS_userlistTitle'] = 'User verification';
$lang['LCAS_userlistTitle_d'] = 'This page shows the users who should be modified to enable this option.<br><br>
If two users are already registered, for example, <em>Test</em> and <em>test</em>, and the option for case insensitivity is checked, they can no longer connect properly.<br>
You have to change one of these users and, optionaly, prevent him by using the link to send an email.';

$lang['LCAS_Email_Customization'] = 'Customizing email notification';
$lang['LCAS_Email_Customization_d'] = 'You can customize the text to be sent with the notification. Use the tags [lang] for a custom multi-lingual if the plugin Extended Description is active.';

$lang['LCAS_MailTitle'] = 'Email Notification';
$lang['LCAS_MailTitle_d'] = 'Choose here if an email notification should be automatically sent to users whose login has been changed to match the new rules of sensitivity.';
?>