<?php

global $lang;

// Ce fichier définit les messages affichés aux utilisateurs :
// message d'erreur lors de la création d'un compte, si ce compte existe déjà,
// et infos-bulles affichées lorsque la souris survole les champs "nom
// d'utilisateur" et "mot de passe"

// Vous pouvez vous céer vos propres messages pour votre tableau personnel,
// d'index 0 :
// $lang['LCAS_error'][0] = 'Votre texte ici';
// Retirez les identifiants de commentaire ("//"), et remplacez le texte
// "Votre texte ici" par le texte dont vous avez besoin. N'oubliez
// pas d'écrire l'apostrophe en le précédant d'un "\" :
// 'Sinon ça l\'fera pas !'


// New account creation error messages
// Messages d'erreur lors de la création d'un nouveau compte
$lang['LCAS_error'][1] = 'Ce nom d\'utilisateur est déjà pris.<br>Le nom d\'utilisateur est insensible à la casse (majuscules/minuscules&nbsp;; E = e ≠ É = é).';

$lang['LCAS_error'][2] = 'Ce nom d\'utilisateur est déjà pris.<br>Le nom d\'utilisateur est insensible aux accents (e = é ≠ E = É).';

$lang['LCAS_error'][3] = 'Ce nom d\'utilisateur est déjà pris.<br>Le nom d\'utilisateur est insensible à la casse (majuscules/minuscules) et aux accents (E = e = É = é).';


// Tooltips in index page
// Info-bulles sur la page index
$lang['LCAS_tooltip_username_index'][0] = 'Le nom d\'utilisateur est sensible à la casse (majuscules/minuscules) et aux accents (E ≠ e ≠ É ≠ é)';

$lang['LCAS_tooltip_username_index'][1] = 'Le nom d\'utilisateur est insensible à la casse (majuscules/minuscules&nbsp;; E = e ≠ É = é)';

$lang['LCAS_tooltip_username_index'][2] = 'Le nom d\'utilisateur est insensible aux accents (e = é ≠ E = É)';

$lang['LCAS_tooltip_username_index'][3] = 'Le nom d\'utilisateur est insensible à la casse (majuscules/minuscules) et aux accents (E = e = É = é)';

$lang['LCAS_tooltip_password_index'] = 'Le mot de passe est toujours sensible à la casse (majuscules/minuscules) et aux accents (E ≠ e ≠ É ≠ é)';


// Tooltips in register page
// Info-bulles sur la page register
$lang['LCAS_tooltip_username_register'][0] = 'Le nom d\'utilisateur est sensible à la casse (majuscules/minuscules) et aux accents (E ≠ e ≠ É ≠ é)';

$lang['LCAS_tooltip_username_register'][1] = 'Le nom d\'utilisateur est insensible à la casse (majuscules/minuscules&nbsp;; E = e ≠ É = é)';

$lang['LCAS_tooltip_username_register'][2] = 'Le nom d\'utilisateur est insensible aux accents (e = é ≠ E = É)';

$lang['LCAS_tooltip_username_register'][3] = 'Le nom d\'utilisateur est insensible à la casse (majuscules/minuscules) et aux accents (E = e = É = é)';

$lang['LCAS_tooltip_password_register'] = 'Le mot de passe est toujours sensible à la casse (majuscules/minuscules) et aux accents (E ≠ e ≠ É ≠ é)';


// Tooltips in admin user_list page
// Info-bulles sur la page d'administration user_list
$lang['LCAS_tooltip_username_admin'][0] = 'Sensibilité à la casse et aux accents (E ≠ e ≠ É ≠ é)&nbsp;; joker (* ou %) permis en début et fin de chaîne';

$lang['LCAS_tooltip_username_admin'][1] = 'Insensibilité à la casse (E = e ≠ É = é)&nbsp;; joker (* ou %) permis en début et fin de chaîne';

$lang['LCAS_tooltip_username_admin'][2] = 'Insensibilité aux accents (e = é ≠ E = É)&nbsp;; joker (* ou %) permis en début et fin de chaîne';

$lang['LCAS_tooltip_username_admin'][3] = 'Insensibilité à la casse et aux accents (E = e = É = é)&nbsp;; joker (* ou %) permis en début et fin de chaîne';

?>